/*
 *   ttyvaders     Textmode shoot'em up
 *   Copyright (c) 2002 Sam Hocevar <sam@zoy.org>
 *                 All Rights Reserved
 *
 *   $Id$
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#include "config.h"

#include <stdlib.h>
#include <math.h>
#include <unistd.h>

#include "common.h"

void intro(game *g)
{
    struct cucul_sprite *foo_sprite = cucul_load_sprite(g->qq, "data/foofight.txt");
    struct cucul_sprite *bar_sprite = cucul_load_sprite(g->qq, "data/barfight.txt");
    struct cucul_sprite *baz_sprite = cucul_load_sprite(g->qq, "data/bazfight.txt");

    int frame = 0;

    while(caca_get_event(g->kk, CACA_EVENT_KEY_PRESS) == 0)
    {
        int i, xo, yo, x[5], y[5];

        frame++;

        cucul_clear(g->qq);

        xo = cucul_get_width(g->qq) / 2;
        yo = cucul_get_height(g->qq) / 2;

        cucul_set_color(g->qq, CUCUL_COLOR_RED, CUCUL_COLOR_BLACK);
        cucul_fill_ellipse(g->qq, xo, yo, 16, 8, '#');
        cucul_set_color(g->qq, CUCUL_COLOR_GREEN, CUCUL_COLOR_BLACK);
        cucul_draw_thin_ellipse(g->qq, xo, yo, 16, 8);

        for(i = 0; i < 4; i ++)
        {
            x[i] = xo + 0.5 + 12 * cos(0.05 * frame + i * M_PI / 2);
            y[i] = yo + 0.5 + 6 * sin(0.05 * frame + i * M_PI / 2);
        }
        x[4] = x[0];
        y[4] = y[0];

        cucul_set_color(g->qq, CUCUL_COLOR_BLACK, CUCUL_COLOR_BLACK);
        cucul_fill_triangle(g->qq, x[0], y[0], x[1], y[1], x[2], y[2], ' ');
        cucul_fill_triangle(g->qq, x[0], y[0], x[3], y[3], x[2], y[2], ' ');
        cucul_draw_line(g->qq, x[0], y[0], x[2], y[2], ' ');
        cucul_set_color(g->qq, CUCUL_COLOR_GREEN, CUCUL_COLOR_BLACK);
        cucul_draw_thin_polyline(g->qq, x, y, 4);

        cucul_draw_sprite(g->qq, xo, yo, foo_sprite, frame % 5);

        caca_display(g->kk);

        usleep(40000);
    }
}

